arrow-left

All pages
gitbookPowered by GitBook
1 of 1

Loading...

Enable/Disable Providers

API operations for enabling and disabling provider connections

The v1/providers API includes endpoints to enable or disable integrations by provider id. This allows you to temporarily pause data extraction and synchronization for specific providers when needed, without deleting the configuration.

The provider_id value should be obtained from the provider listing APIs (e.g., /api/v1/providers/aws for AWS providers)

hashtag
Enable Provider

Activate a provider connection that was disabled.

hashtag
Disable Provider

Deactivates a provider connection until it is-renabled, preserving the configured settings.

curl -X PUT \
  "https://{tenant}.vezacloud.com/api/v1/providers/{id}:enable" \
  -H "accept: application/json" \
  -H "Authorization: Bearer {your_api_key}"
curl -X PUT \
  "https://{tenant}.vezacloud.com/api/v1/providers/{id}:disable" \
  -H "accept: application/json" \
  -H "Authorization: Bearer {your_api_key}"
put
Authorizations
AuthorizationstringRequired

Veza API key for authentication. Generate keys in Administration > API Keys.

Path parameters
idstringRequired
Responses
chevron-right
200

OK

application/json
objectOptional
chevron-right
default

Default error response

application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

codeinteger · int32Optional

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

messagestringOptional

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

@typestringOptional

The type of the serialized message.

Other propertiesanyOptional
put
/api/v1/providers/{id}:enable
put
Authorizations
AuthorizationstringRequired

Veza API key for authentication. Generate keys in Administration > API Keys.

Path parameters
idstringRequired
Responses
chevron-right
200

OK

application/json
objectOptional
chevron-right
default

Default error response

application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

codeinteger · int32Optional

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

messagestringOptional

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

@typestringOptional

The type of the serialized message.

Other propertiesanyOptional
put
/api/v1/providers/{id}:disable
PUT /api/v1/providers/{id}:enable HTTP/1.1
Host: your-tenant.vezacloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
PUT /api/v1/providers/{id}:disable HTTP/1.1
Host: your-tenant.vezacloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}
{}